Skip to main content
GET
/
v1
/
customers
List customers
curl --request GET \
  --url https://api.plexospay.com/v1/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "cu_abc123",
      "phone": "+2389001234",
      "operator": "CVMOVEL",
      "country": "CV",
      "name": "<string>",
      "email": "<string>",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Query Parameters

limit
integer
default:20

Max items per page (1-100)

Required range: 1 <= x <= 100
starting_after
string

Cursor — ID of the last item from previous page

Response

200 - application/json

Paginated list of customers

data
object[]
hasMore
boolean